Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
webhooks
/
{webhookId}
/
deliveries
/
{deliveryId}
/
retry
Retry failed delivery
curl --request POST \
  --url https://api.meetecho.ai/api/v1/projects/{projectId}/webhooks/{webhookId}/deliveries/{deliveryId}/retry \
  --header 'x-api-key: <api-key>'
{
  "id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
  "webhook_endpoint_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "project_id": "e56b4c35-882d-4604-9944-9763d314ea59",
  "event_id": "cc66d0a2-7cfd-481f-9826-596e2bb9d58f",
  "event_name": "call.summary",
  "payload": {},
  "status": "success",
  "attempt_count": 1,
  "next_retry_at": "2023-11-07T05:31:56Z",
  "created_at": "2026-04-12T15:54:24.323Z",
  "updated_at": "2026-04-12T15:54:24.323Z"
}

Authorizations

x-api-key
string
header
required

Echo API key — format: echo_<64 hex chars>. Returned once on signup.

Path Parameters

projectId
string<uuid>
required
webhookId
string<uuid>
required
deliveryId
string<uuid>
required

Response

Retry enqueued — delivery status set back to pending

id
string<uuid>
Example:

"d1e2f3a4-b5c6-7890-abcd-ef1234567890"

webhook_endpoint_id
string<uuid>
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

project_id
string<uuid>
Example:

"e56b4c35-882d-4604-9944-9763d314ea59"

event_id
string<uuid>
Example:

"cc66d0a2-7cfd-481f-9826-596e2bb9d58f"

event_name
enum<string>
Available options:
call.started,
call.ended,
call.summary
Example:

"call.summary"

payload
object
status
enum<string>
Available options:
pending,
retrying,
success,
failed
Example:

"success"

attempt_count
integer
Example:

1

next_retry_at
string<date-time> | null
created_at
string<date-time>
Example:

"2026-04-12T15:54:24.323Z"

updated_at
string<date-time>
Example:

"2026-04-12T15:54:24.323Z"